Click or drag to resize

NurbsCurveMakePiecewiseBezier Method

Clamps ends and adds knots so the NURBS curve has bezier spans (all distinct knots have multiplitity = degree).

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
public bool MakePiecewiseBezier(
	bool setEndWeightsToOne


Type: SystemBoolean
If true and the first or last weight is not one, then the first and last spans are reparameterized so that the end weights are one.

Return Value

Type: Boolean
true on success, false on failure.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.2
See Also